module Contents
  class PagesController < ApplicationController
    def index
      params[:page].split('/').each do |slug|
        @page = Contents::Page.find_by!(slug: slug, contents_page_id: (@page.try(:id) || nil))
        @page.superpage = @next_superpage

        @next_superpage = @page
      end

      render @page.template, layout: @page.layout
    end
  end
end
